<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# class save img

	class save_img {

		public static function ya($ID)  # save yandex 
		{
	
		$file = root."/css/i/ya/{$ID}.png";	
		
		if(@filemtime($file) <  time() - 86400):	# 1 день

		$url = @file_get_contents('https://www.yandex.ru/cycounter?'.$ID);

		@file_put_contents($file,$url);
		
		endif;

		return ico."ya/{$ID}.png";
		
		}

		public static function li($ID)  # save stats LI
		{
	
		$file = root."/css/i/li/{$ID}.png";	
		
		if(@filemtime($file) <  time() - 86400):	# 3 часа

		$url = @file_get_contents('https://counter.yadro.ru/logo;'.$ID.'?11.5');

		@file_put_contents($file,$url);
		
		endif;

		return ico."li/{$ID}.png";
		
		}

		public static function ms($ID)  # save mini shot
		{
	
		$file = root."/css/i/ms/{$ID}.png";	
		
		if(@filemtime($file) <  time() - 86400):	# 1 день

		$url = @file_get_contents('http://mini.s-shot.ru/140x320/240/png/?'.$ID);

		@file_put_contents($file,$url);
		
		endif;

		return ico."ms/{$ID}.png";
		
		}

		public static function fav($ID)  # save favicons
		{
	
		$file = root."/css/i/fav/{$ID}.png";	
		
		if(@filemtime($file) <  time() - 86400):	# 1 день

		$url = @file_get_contents('https://www.google.com/s2/favicons?domain='.$ID);

		@file_put_contents($file,$url);
		
		endif;

		return ico."fav/{$ID}.png";
		
		}

	}	
?>